AbstractType.ComparisonType (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.marshal

## Enum AbstractType.ComparisonType

- java.lang.Object
- - java.lang.Enum<AbstractType.ComparisonType>
  - - org.apache.cassandra.db.marshal.AbstractType.ComparisonType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AbstractType.ComparisonType>
  Enclosing class:
    AbstractType<T>

      public static enum AbstractType.ComparisonType
      extends java.lang.Enum<AbstractType.ComparisonType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTE_ORDER` This type is always compared by its sequence of unsigned bytes
    `CUSTOM` This type can only be compared by calling the type's compareCustom() method, which may be expensive.
    `NOT_COMPARABLE` This type should never be compared

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractType.ComparisonType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AbstractType.ComparisonType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_COMPARABLE

          public static final AbstractType.ComparisonType NOT_COMPARABLE

      This type should never be compared

    - #### BYTE_ORDER

          public static final AbstractType.ComparisonType BYTE_ORDER

      This type is always compared by its sequence of unsigned bytes

    - #### CUSTOM

          public static final AbstractType.ComparisonType CUSTOM

      This type can only be compared by calling the type's compareCustom() method, which may be expensive. Support for this may be removed in a major release of Cassandra, however upgrade facilities will be provided if and when this happens.

  - ### Method Detail

    - #### values

          public static AbstractType.ComparisonType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractType.ComparisonType c : AbstractType.ComparisonType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractType.ComparisonType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation